Skip to content

upsertIssue

WRITE

Upsert issue.

POST /api/v1/quality/upsertIssue
curl -X POST '<your-host>/api/v1/quality/upsertIssue' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "priority": "Low",
    "source": "Internal",
    "name": "string",
    "locationId": "string",
    "nonConformanceTypeId": "string",
    "openDate": "string",
    "nonConformanceId": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
min length 1
min length 1
"Low""Medium""High""Critical"
"Internal""External"
"MRB"

Input schema

schema
{
  "type": "object",
  "properties": {
    "priority": {
      "type": "string",
      "enum": [
        "Low",
        "Medium",
        "High",
        "Critical"
      ]
    },
    "source": {
      "type": "string",
      "enum": [
        "Internal",
        "External"
      ]
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "description": {
      "type": "string"
    },
    "requiredActionIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "approvalRequirements": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "MRB"
        ]
      }
    },
    "locationId": {
      "type": "string",
      "minLength": 1
    },
    "nonConformanceWorkflowId": {
      "type": "string"
    },
    "nonConformanceTypeId": {
      "type": "string",
      "minLength": 1
    },
    "openDate": {
      "type": "string",
      "minLength": 1
    },
    "dueDate": {
      "type": "string"
    },
    "closeDate": {
      "type": "string"
    },
    "quantity": {
      "type": "number"
    },
    "items": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "jobOperationId": {
      "type": "string"
    },
    "customerId": {
      "type": "string"
    },
    "salesOrderLineId": {
      "type": "string"
    },
    "operationSupplierProcessId": {
      "type": "string"
    },
    "nonConformanceId": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "priority",
    "source",
    "name",
    "locationId",
    "nonConformanceTypeId",
    "openDate",
    "nonConformanceId",
    "_operation"
  ]
}